<template>
  <basic-container>
    <el-tabs type="border-card">
      <el-tab-pane v-if="permission.postchange_view" label="網點出納主管及專管員崗位變更記錄表">
        <tobeconfirm-postchange></tobeconfirm-postchange>
      </el-tab-pane>
      <el-tab-pane v-if="permission.goodsuse_view" label="網點各項憑證/實物使用及出入庫">
        <tobeconfirm-goodsuse></tobeconfirm-goodsuse>
      </el-tab-pane>
      <el-tab-pane v-if="permission.returns_view" label="新開戶退件登記表">
        <tobeconfirm-returns></tobeconfirm-returns>
      </el-tab-pane>
      <el-tab-pane v-if="permission.cardswallow_view" label="自助設備吞沒卡處理">
        <tobeconfirm-cardswallow></tobeconfirm-cardswallow>
      </el-tab-pane>
    </el-tabs>
  </basic-container>
</template>

<script>
  import {mapGetters} from "vuex";
  import TobeconfirmPostchange from "../../components/tobeconfirm/tobeconfirm-postchange";
  import TobeconfirmGoodsuse from "../../components/tobeconfirm/tobeconfirm-goodsuse";
  import TobeconfirmReturns from "../../components/tobeconfirm/tobeconfirm-returns";
  import TobeconfirmCardswallow from "../../components/tobeconfirm/tobeconfirm-cardswallow";

  export default {
    components: {TobeconfirmCardswallow, TobeconfirmReturns, TobeconfirmGoodsuse, TobeconfirmPostchange},
    data() {
      return {

        data: []
      };
    },
    computed: {
      ...mapGetters(["permission"]),
      permissionList() {
        return {
          addBtn: this.vaildData(this.permission.notice_add, false),
          viewBtn: this.vaildData(this.permission.notice_view, false),
          delBtn: this.vaildData(this.permission.notice_delete, false),
          editBtn: this.vaildData(this.permission.notice_edit, false)
        };
      },
      ids() {
        let ids = [];
        this.selectionList.forEach(ele => {
          ids.push(ele.id);
        });
        return ids.join(",");
      }
    },
    methods: {

    }
  };
</script>

<style>
</style>
